# Scans#ScanIssue

Returns a scan specific issue

Endpoint: GET /sto/api/v2/scans/{id}/issue/{issueId}
Version: 1.0
Security: 

## Query parameters:

  - `accountId` (string, required)
    Harness Account ID
    Example: "abcdef1234567890ghijkl"

  - `orgId` (string)
    Harness Organization ID
    Example: "example_org"

  - `projectId` (string)
    Harness Project ID
    Example: "example_project"

  - `page` (integer)
    Page number to fetch (starting from 0)
    Example: 4

  - `pageSize` (integer)
    Number of results per page
    Example: 50

  - `sort` (string)
    The field to sort by
    Example: "Nulla voluptatem ut rerum commodi esse."

  - `order` (string)
    The order to sort by
    Enum: "ASC", "DESC"

## Path parameters:

  - `id` (string, required)
    The ID of the Security Test Scan
    Example: "Atque esse quo consequatur optio."

  - `issueId` (string, required)
    The ID of the Security Test Issue
    Example: "Corporis perferendis nemo deserunt et molestiae."

## Header parameters:

  - `X-Api-Key` (string)
    Harness personal or service access token
    Example: "Ea repellat."

## Response 200 fields (application/json):

  - `aiTriaged` (string)
    Aggregate AI triage verdict. 'LikelyFP' if every occurrence is FALSE_POSITIVE; 'LikelyTP' if any is TRUE_POSITIVE; 'NotEvaluatedYet' if only some are triaged. Field is absent when no occurrence has been triaged yet.
    Enum: "LikelyFP", "LikelyTP", "NotEvaluatedYet"

  - `aiTriagedReasoning` (string)
    Representative LLM reasoning quoted from one of the per-occurrence triaged verdicts (FP-verdict reasoning preferred). Field is absent when no occurrence has been triaged yet.
    Example: "The argument to path.join is __dirname, a constant, not user input."

  - `baseImageName` (string)
    base image name of the issue
    Example: "baseImageName"

  - `baseImageOrgId` (string)
    org id of the issue from where the base image is being referred
    Example: "default"

  - `baseImageProjectId` (string)
    project id of the issue from where the base image is being referred
    Example: "STO"

  - `baselineVariantId` (string)
    The Baseline Target Variant related to this Security Issue
    Example: "abcdef1234567890ghijkl"

  - `created` (integer, required)
    Unix timestamp at which the resource was created
    Example: 1651578240

  - `currentStatus` (string)
    Current status of the Exemption
    Enum: "Pending", "Approved", "Rejected", "Expired"

  - `details` (object, required)
    Issue details common to all occurrences
    Example: {"package":"json-schema","version":"v0.2.3"}

  - `epssLastModified` (string)
    Last date the issue EPSS data was last modified
    Example: "2025-05-01"

  - `epssPercentile` (number)
    EPSS percentile of the issue CVE identifier
    Example: 0.15

  - `epssScore` (number)
    EPSS score of the issue CVE identifier
    Example: 0.035

  - `exemptionCoverage` (string)
    Indicates if the Security Issue was found to be Exempted or PartiallyExempted.
    Example: "PartiallyExempted"

  - `exemptionId` (string)
    ID of Security Test Exemption
    Example: "abcdef1234567890ghijkl"

  - `exemptionStatusAtScan` (string)
    Exemption's status at the Security Scan created time
    Enum: "Pending", "Approved", "Rejected", "Expired"

  - `exploitability` (string)
    Exploitability status of the issue (yes or no)
    Example: "yes"

  - `fallbackSeverityCode` (string)
    Issue-table severity code used as occurrence fallback at read time; omitted from API responses
    Enum: "Critical", "High", "Medium", "Low", "Info", "Unassigned"

  - `gitMetadata` (object)
    Git Metadata associated with the Scan
    Example: {"detectedName":"Laborum dolorum tempore illum in.","detectedVariant":"Facilis porro eum distinctio expedita.","droneCorrelated":false,"provider":"Aut sit.","pullRequestNumber":11,"repositoryHttp":"https://github.com/harness/drone-cli.git","repositoryPath":["Perspiciatis sed veritatis architecto ducimus reiciendis.","Ratione dolor saepe.","Maxime in.","Vero earum nostrum blanditiis."],"repositorySsh":"git@github.com:harness/drone-cli.git","sourceBranch":"feat/shiny-object","targetBranch":"develop","workspace":"/harness"}

  - `gitMetadata.detectedName` (string)
    Detected Name
    Example: "Laborum dolorum tempore illum in."

  - `gitMetadata.detectedVariant` (string)
    Detected Variant
    Example: "Facilis porro eum distinctio expedita."

  - `gitMetadata.droneCorrelated` (boolean)
    Drone Correlated
    Example: true

  - `gitMetadata.provider` (string)
    Git Provider
    Example: "Aut sit."

  - `gitMetadata.pullRequestNumber` (integer)
    Git Pull Request Number
    Example: 11

  - `gitMetadata.repositoryHttp` (string)
    Git HTTP Repository
    Example: "https://github.com/harness/drone-cli.git"

  - `gitMetadata.repositoryPath` (array)
    Git Repository Path
    Example: ["Perspiciatis sed veritatis architecto ducimus reiciendis.","Ratione dolor saepe.","Maxime in.","Vero earum nostrum blanditiis."]

  - `gitMetadata.repositorySsh` (string)
    Git SSH Repository
    Example: "git@github.com:harness/drone-cli.git"

  - `gitMetadata.sourceBranch` (string)
    Git Source Branch
    Example: "feat/shiny-object"

  - `gitMetadata.targetBranch` (string)
    Git Target Branch
    Example: "develop"

  - `gitMetadata.workspace` (string)
    Git Workspace Root
    Example: "/harness"

  - `gracePeriodDays` (integer)
    Issue-level grace period rollup in days. Only populated when scan honorGracePeriod is enabled.
    Example: 13

  - `harnessAugmentation` (object)
    Harness Augmentation details
    Example: {"Fugit debitis tenetur voluptatum repellendus debitis voluptas.":"Eos dignissimos minima."}

  - `id` (string, required)
    Resource identifier
    Example: "abcdef1234567890ghijkl"

  - `key` (string, required)
    Compression/deduplication key
    Example: "json-schema@0.2.3"

  - `lastBaseImageScanAt` (integer)
    last scan timestamp of the base image being referred
    Example: 1651578240

  - `numNonExemptedOccurrences` (integer, required)
    Indicates the number of Occurrences which dont have an active exemption on the Occurrence
    Example: 10

  - `numOccurrences` (integer, required)
    Indicates the number of Occurrences on the Issue
    Example: 10

  - `occurrenceId` (integer)
    Example: 12345

  - `occurrences` (array)
    Array of details unique to each occurrence
    Example: [{"line":"42"},{"line":"666"}]

  - `occurrencesPagination` (object, required)
    Example: {"link":"","page":4,"pageSize":20,"totalItems":230,"totalPages":12}

  - `occurrencesPagination.link` (string)
    Link-based paging

  - `occurrencesPagination.page` (integer, required)
    Page number (starting from 0)
    Example: 4

  - `occurrencesPagination.pageSize` (integer, required)
    Requested page size
    Example: 20

  - `occurrencesPagination.totalItems` (integer, required)
    Total results available
    Example: 230

  - `occurrencesPagination.totalPages` (integer, required)
    Total pages available
    Example: 12

  - `originStatus` (string)
    The status of the origin, either 'approved' or 'unapproved'
    Example: "approved"

  - `origins` (array)
    The origins of the issue
    Example: ["app","base"]

  - `overrides` (array)
    List of issue overrides
    Example: [{"created":1651578240,"fieldName":"severityCode","impactedTargetId":"target1111111111111111","originalFieldValue":"Low","overrideFieldValue":"Low","overrideId":"override1234","reason":"Waiting on upstream bug fix","requesterEmail":"user@harness.io","requesterId":"user111111111111111111","requesterName":"firstname lastname"},{"created":1651578240,"fieldName":"severityCode","impactedTargetId":"target1111111111111111","originalFieldValue":"Low","overrideFieldValue":"Low","overrideId":"override1234","reason":"Waiting on upstream bug fix","requesterEmail":"user@harness.io","requesterId":"user111111111111111111","requesterName":"firstname lastname"},{"created":1651578240,"fieldName":"severityCode","impactedTargetId":"target1111111111111111","originalFieldValue":"Low","overrideFieldValue":"Low","overrideId":"override1234","reason":"Waiting on upstream bug fix","requesterEmail":"user@harness.io","requesterId":"user111111111111111111","requesterName":"firstname lastname"},{"created":1651578240,"fieldName":"severityCode","impactedTargetId":"target1111111111111111","originalFieldValue":"Low","overrideFieldValue":"Low","overrideId":"override1234","reason":"Waiting on upstream bug fix","requesterEmail":"user@harness.io","requesterId":"user111111111111111111","requesterName":"firstname lastname"}]

  - `overrides.created` (integer, required)
    Unix timestamp at which the resource was created
    Example: 1651578240

  - `overrides.fieldName` (string, required)
    Name of the field that is being overridden
    Example: "severityCode"

  - `overrides.impactedTargetId` (string)
    ID of the impacted target
    Example: "target1111111111111111"

  - `overrides.originalFieldValue` (string, required)
    Original value of the field that is being overridden
    Example: "Low"

  - `overrides.overrideFieldValue` (string, required)
    Value of the field that is being overridden
    Example: "Low"

  - `overrides.overrideId` (string)
    Override Id of the override
    Example: "override1234"

  - `overrides.reason` (string, required)
    Text describing why this override is necessary
    Example: "Waiting on upstream bug fix"

  - `overrides.requesterEmail` (string)
    Email of the user who requested this Exemption
    Example: "user@harness.io"

  - `overrides.requesterId` (string)
    User ID of the user who requested the override
    Example: "user111111111111111111"

  - `overrides.requesterName` (string)
    Name of the user who requested this Exemption
    Example: "firstname lastname"

  - `overridesAtScan` (array)
    List of issue overrides at scan time
    Example: [{"created":1651578240,"fieldName":"severityCode","impactedTargetId":"target1111111111111111","originalFieldValue":"Low","overrideFieldValue":"Low","overrideId":"override1234","reason":"Waiting on upstream bug fix","requesterEmail":"user@harness.io","requesterId":"user111111111111111111","requesterName":"firstname lastname"},{"created":1651578240,"fieldName":"severityCode","impactedTargetId":"target1111111111111111","originalFieldValue":"Low","overrideFieldValue":"Low","overrideId":"override1234","reason":"Waiting on upstream bug fix","requesterEmail":"user@harness.io","requesterId":"user111111111111111111","requesterName":"firstname lastname"},{"created":1651578240,"fieldName":"severityCode","impactedTargetId":"target1111111111111111","originalFieldValue":"Low","overrideFieldValue":"Low","overrideId":"override1234","reason":"Waiting on upstream bug fix","requesterEmail":"user@harness.io","requesterId":"user111111111111111111","requesterName":"firstname lastname"},{"created":1651578240,"fieldName":"severityCode","impactedTargetId":"target1111111111111111","originalFieldValue":"Low","overrideFieldValue":"Low","overrideId":"override1234","reason":"Waiting on upstream bug fix","requesterEmail":"user@harness.io","requesterId":"user111111111111111111","requesterName":"firstname lastname"}]

  - `pipelineId` (string)
    Harness Pipeline ID
    Example: "example_pipeline"

  - `primaryOccurrenceId` (integer, required)
    The primary occurrence's ID
    Example: 12345

  - `productId` (string, required)
    The scan tool that identified this Security Issue
    Example: "product1234567890abcde"

  - `reachability` (string)
    Reachability status of the issue (reachable or unreachable)
    Example: "reachable"

  - `severity` (number, required)
    Numeric severity, from 0 (lowest) to 10 (highest)
    Example: 8.5

  - `severityCode` (string, required)
    Severity code
    Enum: "Critical", "High", "Medium", "Low", "Info", "Unassigned"

  - `status` (string)
    Indicates if the Security Issue was found to be remediated, ignored, etc.
    Enum: "Remediated", "Compensating Controls", "Acceptable Use", "Acceptable Risk", "False Positive", "Fix Unavailable", "Exempted"

  - `subproduct` (string)
    The subproduct that identified this Security Issue
    Example: "product"

  - `targetId` (string)
    The Target that this Security Issue affects
    Example: "abcdef1234567890ghijkl"

  - `targetName` (string)
    The Name of the Target that this Security Issue affects
    Example: "abcdef1234567890ghijkl"

  - `targetType` (string)
    The type of the Target that this Security Issue affects
    Enum: "container", "repository", "instance", "configuration"

  - `targetVariantId` (string)
    The Target Variant that this Security Issue affects
    Example: "abcdef1234567890ghijkl"

  - `targetVariantName` (string)
    Name of the associated Target and Variant
    Example: "nodegoat:master"

  - `title` (string, required)
    Title of the Security Issue
    Example: "Semgrep Finding: generic.secrets.security.detected-bcrypt-hash.detected-bcrypt-hash"

  - `type` (string)
    The type of vulnerability or quality issue for this Issue
    Enum: "SAST", "DAST", "SCA", "IAC", "SECRET", "MISCONFIG", "BUG_SMELLS", "CODE_SMELLS", "CODE_COVERAGE", "EXTERNAL_POLICY"

## Response 400 fields (application/json):

  - `message` (string, required)
    Example: "Not Found"

  - `status` (integer)
    Example: 404


